Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.util
Class InetAddressUtils

    java.lang.Object
      org.apache.http.conn.util.InetAddressUtils

    @Immutable
    public class InetAddressUtils

extends Object

A collection of utilities relating to InetAddresses.

Since:
  4.0

Method Summary
`static boolean` | `isIPv4Address(String input)`
`static boolean` | `isIPv6Address(String input)`
`static boolean` | `isIPv6HexCompressedAddress(String input)`
`static boolean` | `isIPv6StdAddress(String input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isIPv4Address

    public static boolean isIPv4Address(String input)

### isIPv6StdAddress

    public static boolean isIPv6StdAddress(String input)

### isIPv6HexCompressedAddress

    public static boolean isIPv6HexCompressedAddress(String input)

### isIPv6Address

    public static boolean isIPv6Address(String input)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.